.btn {
    font-family: var(--theme-font-univers), sans-serif;
    font-weight: normal;
    font-size: 15px;
    line-height: 20px;
    text-transform: uppercase;
    transition: all 0.5s;
    border-radius: 30px;
    padding: 13px 36px;
    letter-spacing: 2.5px;
    position: relative;
}

.btn:hover,
.btn:focus {
    text-decoration: none;
}

/* Button Primary Conversion */

.btn-primary-conversion {
    color: #fff;
    background-color: var(--theme-color-blue-light2);
    border: 2px solid var(--theme-color-blue-light2);
    border-radius: 0.1875rem;
}

.btn-primary-conversion:hover,
.btn-primary-conversion:focus {
    color: #fff;
    background-color: var(--theme-color-blue-dark2);
    border: 2px solid var(--theme-color-blue-dark2);
}

.btn-primary-conversion:disabled,
.btn-primary-conversion.disabled {
    color: #fff;
    background-color: var(--theme-color-grey-light);
    border: 2px solid var(--theme-color-grey-light);
}

.btn-primary-conversion.inverted {
    color: var(--theme-color-blue-light2);
    background-color: #fff;
    border: 2px solid #fff;
}

.btn-primary-conversion.inverted:hover,
.btn-primary-conversion.inverted:focus {
    color: #fff;
    background-color: var(--theme-color-blue-dark2);
    border: 2px solid var(--theme-color-blue-dark2);
}

.btn-primary-conversion.inverted.disabled,
.btn-primary-conversion.inverted:disabled {
    color: #fff;
    background-color: transparent;
    border: 2px solid transparent;
}

/* Button Secondary Conversion */

.btn-secondary-conversion {
    color: var(--theme-color-blue-light2);
    background-color: #fff;
    border: 2px solid var(--theme-color-blue-light2);
    border-radius: 0.1875rem;
}

.btn-secondary-conversion:hover,
.btn-secondary-conversion:focus {
    color: #fff;
    background-color: var(--theme-color-blue-dark2);
    border: 2px solid var(--theme-color-blue-dark2);
}

.btn-secondary-conversion:disabled,
.btn-secondary-conversion.disabled {
    color: var(--theme-color-grey-light);
    background-color: transparent;
    border: 2px solid var(--theme-color-grey-light);
}

.btn-secondary-conversion.inverted {
    color: #fff;
    background-color: transparent;
    border: 2px solid #fff;
}

.btn-secondary-conversion.inverted:hover {
    color: #fff;
    background-color: var(--theme-color-blue-dark2);
    border: 2px solid var(--theme-color-blue-dark2);
}

.btn-secondary-conversion.inverted.disabled,
.btn-secondary-conversion.inverted:disabled {
    color: var(--theme-color-grey-light);
    background-color: transparent;
    border: 2px solid var(--theme-color-grey-light);
}


/* Button Tertiary Conversion */

.btn-tertiary-conversion {
    color: var(--theme-color-blue-light2);
    background-color: transparent;
    border: 2px solid transparent;
    border-radius: 0.1875rem;
}

.btn-tertiary-conversion:hover,
.btn-tertiary-conversion:focus {
    color: #fff;
    background-color: var(--theme-color-blue-dark2);
    border: 2px solid var(--theme-color-blue-dark2);
}

.btn-tertiary-conversion:disabled,
.btn-tertiary-conversion.disabled {
    color: var(--theme-color-grey-light);
    background-color: transparent;
    border: 2px solid transparent;
}

.btn-tertiary-conversion.inverted {
    color: #fff;
    background-color: transparent;
    border: 2px solid transparent;
}

.btn-tertiary-conversion.inverted:hover,
.btn-tertiary-conversion.inverted:focus {
    color: #fff;
    background-color: var(--theme-color-blue-dark2);
    border: 2px solid var(--theme-color-blue-dark2);
}

.btn-tertiary-conversion.inverted.disabled,
.btn-tertiary-conversion.inverted:disabled {
    color: var(--theme-color-grey-light);
    background-color: transparent;
    border: 2px solid transparent;
}

.btn-primary-conversion-block {
    display: block;
    width: 100%;
}

/* end */


/* Button Primary Functional */

.btn-primary-functional {
    color: #fff;
    background-color: var(--theme-color-blue);
    border: 2px solid var(--theme-color-blue);
    /*border-radius: 0;*/
}

.btn-primary-functional:hover,
.btn-primary-functional:focus {
    color: #fff;
    background-color: var(--theme-color-blue-dark3);
    border: 2px solid var(--theme-color-blue-dark3);
}

.btn-primary-functional:focus:before {
    content: "";
    width: 100%;
    border-radius: 32px;
    height: 100%;
    border: 1px solid #fff;
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    transform: inherit;
    transition: inherit;
}

.btn-primary-functional:disabled,
.btn-primary-functional.disabled {
    color: #fff;
    background-color: var(--theme-color-blue);
    border: 2px solid var(--theme-color-blue);
    opacity: 0.8;
}

.btn-primary-functional.inverted {
    color: var(--theme-color-blue-dark);
    background-color: #fff;
    border: 2px solid #fff;
}

.btn-primary-functional.inverted:hover,
.btn-primary-functional.inverted:focus {
    color: #fff;
    background-color: var(--theme-color-blue);
    border: 2px solid var(--theme-color-blue);
}

.btn-primary-functional.inverted.disabled,
.btn-primary-functional.inverted:disabled {
    color: #fff;
    background-color: transparent;
    border: 2px solid transparent;
}

/* Button Secondary Conversion */

.btn-secondary-functional {
    color: var(--theme-color-blue-dark);
    background-color: #fff;
    border: 2px solid var(--theme-color-blue-dark);
    border-radius: 0;
}

.btn-secondary-functional:hover,
.btn-secondary-functional:focus {
    color: #fff;
    background-color: var(--theme-color-blue);
    border: 2px solid var(--theme-color-blue);
}

.btn-secondary-functional:disabled,
.btn-secondary-functional.disabled {
    color: var(--theme-color-grey-light);
    background-color: transparent;
    border: 2px solid var(--theme-color-grey-light);
}

.btn-secondary-functional.inverted {
    color: #fff;
    background-color: transparent;
    border: 2px solid #fff;
}

.btn-secondary-functional.inverted:hover {
    color: #fff;
    background-color: var(--theme-color-blue);
    border: 2px solid var(--theme-color-blue);
}

.btn-secondary-functional.inverted.disabled,
.btn-secondary-functional.inverted:disabled {
    color: var(--theme-color-grey-light);
    background-color: transparent;
    border: 2px solid var(--theme-color-grey-light);
}


/* Button Tertiary Conversion */

.btn-tertiary-functional {
    color: var(--theme-color-blue);
    background-color: transparent;
    border: 2px solid transparent;
    border-radius: 0;
}

.btn-tertiary-functional:hover,
.btn-tertiary-functional:focus {
    color: #fff;
    background-color: var(--theme-color-blue-light);
    border: 2px solid var(--theme-color-blue-light);
}

.btn-tertiary-functional:disabled,
.btn-tertiary-functional.disabled {
    color: var(--theme-color-grey-light);
    background-color: transparent;
    border: 2px solid transparent;
}

.btn-tertiary-functional.inverted {
    color: #fff;
    background-color: transparent;
    border: 2px solid transparent;
}

.btn-tertiary-functional.inverted:hover,
.btn-tertiary-functional.inverted:focus {
    color: #fff;
    background-color: var(--theme-color-blue-light);
    border: 2px solid var(--theme-color-blue-light);
}

.btn-tertiary-functional.inverted.disabled,
.btn-tertiary-functional.inverted:disabled {
    color: var(--theme-color-grey-light);
    background-color: transparent;
    border: 2px solid transparent;
}

.btn-primary-functional-block {
    display: block;
    width: 100%;
}

/* custom colors */
.btn-success-functional {
    color: #fff;
    background-color: #00B140;
}

.btn-success-functional:hover,
.btn-success-functional:focus {
    color: #fff;
    background-color: var(--theme-color-blue);
}

.btn-warning-functional {
    color: #fff;
    background-color: #F2A900;
}

.btn-warning-functional:hover,
.btn-warning-functional:focus {
    color: #fff;
    background-color: var(--theme-color-blue);
}

.btn-danger-functional {
    color: #fff;
    background-color: #B7153A;
}

.btn-danger-functional:hover,
.btn-danger-functional:focus {
    color: #fff;
    background-color: var(--theme-color-blue);
}
